/**
 * Compresses data to a URL-safe string
 *
 * @param data - Data to compress
 * @returns Compressed data string suitable for URL parameters
 * @public
 */
export declare function compressForUrl<T>(data: T): string;
/**
 * Decompresses data from a URL-safe string
 *
 * @param compressedData - Compressed data string from URL
 * @returns The decompressed data object or undefined if decompression fails
 * @public
 */
export declare function decompressFromUrl<T>(compressedData: string): T | undefined;
//# sourceMappingURL=compression.d.ts.map